Package org.gitana.platform.client.application

# Class EmailImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.application.AbstractApplicationDocumentImpl
org.gitana.platform.client.application.EmailImpl

All Implemented Interfaces:
  `Serializable`, `ApplicationDocument`, `Email`, `Document`, `PlatformDocument`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class EmailImpl extends AbstractApplicationDocumentImpl implements Email

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.application.Email

`FIELD_BCC, FIELD_BODY, FIELD_BODY_ATTACHMENT_ID, FIELD_BODY_BRANCH_ID, FIELD_BODY_NODE_ID, FIELD_BODY_REPOSITORY_ID, FIELD_CC, FIELD_FROM, FIELD_REPLY_TO, FIELD_SENT, FIELD_SENT_BY, FIELD_SENT_ON, FIELD_SUBJECT, FIELD_TO, FIELD_TO_DOMAIN_ID, FIELD_TO_PRINCIPAL_ID`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`EmailImpl(Application application, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`Calendar`
`dateSent()`
`void`
`delete()`
Delete
`boolean`
`equals(Object object)`
`String`
`getBCC()`
`String`
`getBody()`
`Attachment`
`getBodyAttachment()`
`String`
`getCC()`
`String`
`getFrom()`
`String`
`getReplyTo()`
`String`
`getResourceUri()`
`boolean`
`getSent()`
`String`
`getSentBy()`
`String`
`getSubject()`
`String`
`getTo()`
`DomainUser`
`getToDomainUser()`
`String`
`getTypeId()`
`void`
`reload()`
Reload
`void`
`setBCC(String bcc)`
`void`
`setBody(String body)`
`void`
`setBodyAttachment(Node node, String attachmentId)`
`void`
`setCC(String cc)`
`void`
`setFrom(String from)`
`void`
`setReplyTo(String replyTo)`
`void`
`setSubject(String subject)`
`void`
`setTo(String to)`
`void`
`setToDomainUser(DomainUser user)`
`void`
`update()`
Update

### Methods inherited from class org.gitana.platform.client.application.AbstractApplicationDocumentImpl

`getApplication, getApplicationId, ref`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copy, copyAsync, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getDriver, getFactory, getPlatform, getPlatformId, getRemote, importArchive, importArchive, importArchive`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.application.ApplicationDocument

`getApplication, getApplicationId`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### EmailImpl

public EmailImpl(Application application, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

public String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractPlatformDocumentImpl`

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### update

public void update()
Description copied from interface: `Selfable`
Update

Specified by:
  `update` in interface `Selfable`

### delete

public void delete()
Description copied from interface: `Selfable`
Delete

Specified by:
  `delete` in interface `Selfable`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`

### setTo

public void setTo(String to)

Specified by:
  `setTo` in interface `Email`

### getTo

public String getTo()

Specified by:
  `getTo` in interface `Email`

### setToDomainUser

public void setToDomainUser(DomainUser user)

Specified by:
  `setToDomainUser` in interface `Email`

### getToDomainUser

public DomainUser getToDomainUser()

Specified by:
  `getToDomainUser` in interface `Email`

### getBody

public String getBody()

Specified by:
  `getBody` in interface `Email`

### setBody

public void setBody(String body)

Specified by:
  `setBody` in interface `Email`

### getBodyAttachment

public Attachment getBodyAttachment()

Specified by:
  `getBodyAttachment` in interface `Email`

### setBodyAttachment

public void setBodyAttachment(Node node, String attachmentId)

Specified by:
  `setBodyAttachment` in interface `Email`

### getFrom

public String getFrom()

Specified by:
  `getFrom` in interface `Email`

### setFrom

public void setFrom(String from)

Specified by:
  `setFrom` in interface `Email`

### getSubject

public String getSubject()

Specified by:
  `getSubject` in interface `Email`

### setSubject

public void setSubject(String subject)

Specified by:
  `setSubject` in interface `Email`

### getCC

public String getCC()

Specified by:
  `getCC` in interface `Email`

### setCC

public void setCC(String cc)

Specified by:
  `setCC` in interface `Email`

### getBCC

public String getBCC()

Specified by:
  `getBCC` in interface `Email`

### setBCC

public void setBCC(String bcc)

Specified by:
  `setBCC` in interface `Email`

### getReplyTo

public String getReplyTo()

Specified by:
  `getReplyTo` in interface `Email`

### setReplyTo

public void setReplyTo(String replyTo)

Specified by:
  `setReplyTo` in interface `Email`

### getSent

public boolean getSent()

Specified by:
  `getSent` in interface `Email`

### dateSent

public Calendar dateSent()

Specified by:
  `dateSent` in interface `Email`

### getSentBy

public String getSentBy()

Specified by:
  `getSentBy` in interface `Email`